{
    attributes = (
        {
            columnName = "DLOG_KEY"; 
            externalType = NUMBER; 
            name = dlogKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DPRF_CODES"; 
            externalType = VARCHAR2; 
            name = dprfCodes; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DPRF_COULEURS"; 
            externalType = VARCHAR2; 
            name = dprfCouleurs; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "DPRF_TABLEUR"; 
            externalType = NUMBER; 
            name = dprfTableur; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (dlogKey, dprfCodes, dprfCouleurs, dprfTableur); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolDroitPreference"; 
    classProperties = (dprfCodes, dprfCouleurs, dprfTableur, "toFwkScolarite_ScolDroitLogin"); 
    externalName = "SCOLARITE.SCOL_DROIT_PREFERENCE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolDroitPreference"; 
    }; 
    name = "FwkScolarite_ScolDroitPreference"; 
    primaryKeyAttributes = (dlogKey); 
    relationships = (
        {
            destination = "FwkScolarite_ScolDroitLogin"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = dlogKey; sourceAttribute = dlogKey; }); 
            name = "toFwkScolarite_ScolDroitLogin"; 
        }
    ); 
}
